POST
/
api
/
v1
/
ai-usage
/
pricing
Upsert Org Pricing
curl --request POST \
  --url https://api.jobsim.work/api/v1/ai-usage/pricing \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "llm_input_price_per_million": 1,
  "llm_output_price_per_million": 1,
  "embedding_price_per_million": 0,
  "mem0_price_per_unit": 0,
  "quick_help_price_per_minute": 0.31,
  "currency": "USD",
  "effective_from": "2023-11-07T05:31:56Z"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organization_id
string | null

Body

application/json
llm_input_price_per_million
number
required
Required range: x >= 0
llm_output_price_per_million
number
required
Required range: x >= 0
embedding_price_per_million
number
default:0
Required range: x >= 0
mem0_price_per_unit
number
default:0
Required range: x >= 0
quick_help_price_per_minute
number
default:0.31
Required range: x >= 0
currency
string
default:USD
Required string length: 1 - 8
effective_from
string<date-time> | null

Response

Successful Response